Cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted

How to add views in Quick Draft Sheet Template?

Genius
Genius

Hello All,

 

Usually, we can create drawing views by calling new drawing template, but, now I want to try creating views in Quick Draft Sheet Template, why because it is already predefined with all views what I want.

 

In normal view placement, positions are not exactly placed in the drawing due to view sizes of the (.par, .psm & .asm) file. But in Quick template not like that, all views are predefined with alignment.

 

Please give me some ideas or suggestions on this topic, is it possible to do or not?

 

Thanks & Regards

V.Sudheer

2 REPLIES 2

Re: How to add views in Quick Draft Sheet Template?

Gears Honored Contributor Gears Honored Contributor
Gears Honored Contributor

Hi @VSudheer,

 

The following is working fine for me:

 

 

Imports SolidEdgeDraft

Module Module1

	Dim seApp As SolidEdgeFramework.Application = Nothing
	Dim seDoc As DraftDocument = Nothing

	Sub Main()
seApp = Runtime.InteropServices.Marshal.GetActiveObject("SolidEdge.Application")

' Keep Quick Sheet template document open seDoc = seApp.ActiveDocument
' or open the quick sheet template Draft
'seDoc=seApp.Documents.Open("C:\TestQuickSheet\MyQSTemplate.DFT")

' Set name of part/assembly file to cerate views from Dim sPartFileName As String = "D:\Program Files\Solid Edge ST10\Training\Anchor.par"

' Change extension from part to DFT to SaveAs the quick sheet tenplate with part name Dim sDraftFleName As String = IO.Path.ChangeExtension(sPartFileName, "DFT")
' Create the views using the part file name seDoc.PopulateQuicksheetTemplate(sPartFileName)
' Save the quick sheet template doc using DFT filename created from name and path of Part
seDoc.SaveAs(sDraftFleName) End Sub

 

 

Regards,

Tushar

 

Re: How to add views in Quick Draft Sheet Template?

Genius
Genius

Hi @Tushar

 

Thank you So much for the solution.

 

Regards

V.Sudheer